io.undertow.websockets.core

## Class WebSocketLogger_$logger

- java.lang.Object
- - org.jboss.logging.DelegatingBasicLogger
  - - io.undertow.websockets.core.WebSocketLogger_$logger

All Implemented Interfaces:
  WebSocketLogger, Serializable, org.jboss.logging.BasicLogger

    @Generated(value="org.jboss.logging.processor.generator.model.MessageLoggerImplementor",
               date="2022-12-09T08:00:04-0300")
    public class WebSocketLogger_$logger
    extends org.jboss.logging.DelegatingBasicLogger
    implements WebSocketLogger, org.jboss.logging.BasicLogger, Serializable

Warning this class consists of generated code.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.jboss.logging.DelegatingBasicLogger

`log`

### Fields inherited from interface io.undertow.websockets.core.WebSocketLogger

`EXTENSION_LOGGER, REQUEST_LOGGER, ROOT_LOGGER`

### Constructor Summary

Constructors
Constructor and Description
`WebSocketLogger_$logger(org.jboss.logging.Logger log)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `decodingFrameWithOpCode(int opCode)`
`protected String` `decodingFrameWithOpCode$str()`
`protected Locale` `getLoggingLocale()`
`void` `incorrectExtensionParameter(WebSocketExtension.Parameter param)`
`protected String` `incorrectExtensionParameter$str()`
`void` `unhandledErrorInAnnotatedEndpoint(Object instance, Throwable thr)`
`protected String` `unhandledErrorInAnnotatedEndpoint$str()`

### Methods inherited from class org.jboss.logging.DelegatingBasicLogger

`debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jboss.logging.BasicLogger

`debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

### Constructor Detail

#### WebSocketLogger_$logger

    public WebSocketLogger_$logger(org.jboss.logging.Logger log)

### Method Detail

#### getLoggingLocale

    protected Locale getLoggingLocale()

#### decodingFrameWithOpCode

    public final void decodingFrameWithOpCode(int opCode)

Specified by:
  `decodingFrameWithOpCode` in interface `WebSocketLogger`

#### decodingFrameWithOpCode$str

    protected String decodingFrameWithOpCode$str()

#### unhandledErrorInAnnotatedEndpoint

    public final void unhandledErrorInAnnotatedEndpoint(Object instance,
                                                        Throwable thr)

Specified by:
  `unhandledErrorInAnnotatedEndpoint` in interface `WebSocketLogger`

#### unhandledErrorInAnnotatedEndpoint$str

    protected String unhandledErrorInAnnotatedEndpoint$str()

#### incorrectExtensionParameter

    public final void incorrectExtensionParameter(WebSocketExtension.Parameter param)

Specified by:
  `incorrectExtensionParameter` in interface `WebSocketLogger`

#### incorrectExtensionParameter$str

    protected String incorrectExtensionParameter$str()